Bug 232477 - security/keepassxc: fix build with GCC-based architectures
Summary: security/keepassxc: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-20 16:51 UTC by Piotr Kubaj
Modified: 2018-11-05 23:39 UTC (History)
2 users (show)

See Also:
melanhit: maintainer-feedback+


Attachments
patch (532 bytes, patch)
2018-10-20 16:51 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-10-20 16:51:22 UTC
Created attachment 198402 [details]
patch

USES=compiler:c++11-lang is necessary to build this port on GCC-based architectures.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Andrew Romanenko 2018-10-22 17:37:10 UTC
thanks
Comment 2 commit-hook freebsd_committer 2018-11-05 23:39:38 UTC
A commit references this bug:

Author: linimon
Date: Mon Nov  5 23:39:20 UTC 2018
New revision: 484259
URL: https://svnweb.freebsd.org/changeset/ports/484259

Log:
  USES=compiler:c++11-lang is necessary to build this port on GCC-based architectures.

  PR:		232477
  Submitted by:	Piotr Kubaj
  Approved by:	maintainer

Changes:
  head/security/keepassxc/Makefile